Bug 1756301 - Segmentation fault uperf -s
Summary: Segmentation fault uperf -s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uperf
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-27 10:38 UTC by Attila Fazekas
Modified: 2019-10-10 16:55 UTC (History)
1 user (show)

Fixed In Version: uperf-1.0.6-1.fc31 uperf-1.0.6-1.fc29 uperf-1.0.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 00:26:39 UTC


Attachments (Terms of Use)

Description Attila Fazekas 2019-09-27 10:38:17 UTC
Description of problem:

`uperf -s` # crashes.


Version-Release number of selected component (if applicable):
uperf-1.0.5-7.fc30

How reproducible:
always


(gdb) run -s
Starting program: /usr/bin/uperf -s
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.29-15.fc30.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff7a502b5 in __strlen_avx2 () from /lib64/libc.so.6
Missing separate debuginfos, use: dnf debuginfo-install lksctp-tools-1.0.16-11.fc30.x86_64 openssl-libs-1.1.1c-2.fc30.x86_64 zlib-1.2.11-17.fc30.x86_64
(gdb) bt 
#0  0x00007ffff7a502b5 in __strlen_avx2 () from /lib64/libc.so.6
#1  0x00007ffff795c52e in __vfprintf_internal () from /lib64/libc.so.6
#2  0x00007ffff79fe4cb in __printf_chk () from /lib64/libc.so.6
#3  0x00005555555663a5 in printf (__fmt=0x55555556a822 "stat:%s:%s\n") at /usr/include/bits/stdio2.h:107
#4  file_present (file=0x55555556a8f3 "client.pem") at ssl.c:132
#5  file_present (file=0x55555556a8f3 "client.pem") at ssl.c:127
#6  0x000055555556699c in ssl_init (arg=<optimized out>) at ssl.c:158
#7  0x0000555555564567 in protocol_init (arg=arg@entry=0x0) at protocol.c:119
#8  0x000055555555b325 in slave () at slave.c:419
#9  0x0000555555558528 in main (argc=2, argv=<optimized out>) at main.c:341


Newer upstream version available.

The current (09fbbdb93e4f0e6569bd532ffd5a4d5969d3eb84) master also seams to be working.

Comment 1 Terje Røsten 2019-09-30 17:06:05 UTC
Thanks for report!

Comment 2 Fedora Update System 2019-09-30 19:46:22 UTC
FEDORA-2019-3642e7c883 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3642e7c883

Comment 3 Fedora Update System 2019-09-30 19:46:23 UTC
FEDORA-2019-d8a5257b43 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8a5257b43

Comment 4 Fedora Update System 2019-09-30 19:46:26 UTC
FEDORA-2019-bdc9c2570d has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bdc9c2570d

Comment 5 Fedora Update System 2019-10-01 03:06:46 UTC
uperf-1.0.6-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3642e7c883

Comment 6 Fedora Update System 2019-10-01 03:13:44 UTC
uperf-1.0.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bdc9c2570d

Comment 7 Fedora Update System 2019-10-03 01:51:55 UTC
uperf-1.0.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8a5257b43

Comment 8 Fedora Update System 2019-10-08 00:26:39 UTC
uperf-1.0.6-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-09 17:23:30 UTC
uperf-1.0.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-10-10 16:55:26 UTC
uperf-1.0.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.